commit:     0116b407c603d80fbf682fa122212472fd0440da
Author:     Brian Evans <grknight <AT> gentoo <DOT> org>
AuthorDate: Thu Feb 22 13:47:07 2018 +0000
Commit:     Brian Evans <grknight <AT> gentoo <DOT> org>
CommitDate: Thu Feb 22 13:49:22 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0116b407

package.mask,base/package.use.mask:  Mask dev-php/ZendFramework for removal

Include a use mask on www-apps/postfixadmin which is the final consumer.
The latest stable postfixadmin does not have this flag.

Bug: 604182

 profiles/base/package.use.mask | 4 ++++
 profiles/package.mask          | 5 +++++
 2 files changed, 9 insertions(+)

diff --git a/profiles/base/package.use.mask b/profiles/base/package.use.mask
index ffeb89d7e94..7b35085d6b8 100644
--- a/profiles/base/package.use.mask
+++ b/profiles/base/package.use.mask
@@ -7,6 +7,10 @@
 # This file is only for generic masks. For arch-specific masks (i.e.
 # mask everywhere, unmask on arch/*) use arch/base.
 
+# Brian Evans <grkni...@gentoo.org> (22 Feb 2018)
+# Depends on vulnerable dev-php/ZendFramework which is masked for removal
+www-apps/postfixadmin xmlrpc
+
 # Andreas Sturmlechner <ast...@gentoo.org> (10 Feb 2018)
 # Depends on unreleased media-libs/libaom, and 9999 is currently broken
 media-video/vlc aom

diff --git a/profiles/package.mask b/profiles/package.mask
index 8fc3004e728..4159ed31d15 100644
--- a/profiles/package.mask
+++ b/profiles/package.mask
@@ -29,6 +29,11 @@
 
 #--- END OF EXAMPLES ---
 
+# Brian Evans <grkni...@gentoo.org> (22 Feb 2018)
+# Multiple vulnerablities, EOL upstream.
+# Masked for removal in 30 days. Bug #604182
+dev-php/ZendFramework
+
 # Michael Palimaka <kensing...@gentoo.org> (22 Feb 2018)
 # Plugin for removed package media-sound/amarok. Dead upstream.
 # Depends on vulnerable gstreamer:0.10.

Reply via email to